<article class="thread-brief">

    <mr-dropdown *ngIf="menu"
    transformOrigin="top right">
        <ul>
            <li (click)="deleteReply()">Eliminar</li>
        </ul>
    </mr-dropdown>

    <div class="summary">
        <ng-container *ngIf="compact$ | async">
            <p *ngIf="reply.body | htmlSlice:400 as text">{{ text }} <a *ngIf="text.length > 400" (click)="toggle()">Expandir</a></p>
        </ng-container>

        <ng-container *ngIf="(compact$ | async) === false">
            <mr-editor-readonly [html]="reply.body"></mr-editor-readonly>
        </ng-container>
    </div>

    <footer class="meta">
        <span>
            <mr-timestamp [createdAt]="reply.createdAt" [lastEdit]="reply.lastEdit"></mr-timestamp>
        </span>

        <a mr-button *ngIf="reply.thread !== 'deleted' else deleted"
        class="primary small hover"
        [routerLink]="reply.thread | threadUrl" [queryParams]="{ page:1 }">
            Ver hilo
        </a>
    </footer>

</article>

<ng-template #deleted>
    <span class="deleted">
        [ Hilo eliminado ]
    </span>
</ng-template>
